import Toast from "./toast"
let currentToast
export default{
    install (Vue, options) {
        Vue.prototype.$toast = function (message, toastOptions) {
            if (currentToast) {
                currentToast.close()
            }
            currentToast = createToast({
                Vue,
                message, propsData: toastOptions,
                onClose: () => {
                    currentToast = null
                }
            })
        }
    }
}
//helpers,封装一个实例化一个toast组件的函数；
function createToast ({Vue, message, propsData, onClose}) {
    let Constructor = Vue.extend(Toast)
    let toast = new Constructor({propsData})
    toast.$slots.default = [message]
    toast.$on('close', onClose)
    toast.$mount()
    document.body.appendChild(toast.$el)
    return toast
}